org.springframework.jmx.export.notification

## Interface NotificationPublisherAware

- All Superinterfaces:
    Aware

      public interface NotificationPublisherAware
      extends Aware

  Interface to be implemented by any Spring-managed resource that is to be registered with an `MBeanServer` and wishes to send JMX `javax.management.Notifications`.

  Provides Spring-created managed resources with a `NotificationPublisher` as soon as they are registered with the `MBeanServer`.

  NOTE: This interface only applies to simple Spring-managed beans which happen to get exported through Spring's `MBeanExporter`. It does not apply to any non-exported beans; neither does it apply to standard MBeans exported by Spring. For standard JMX MBeans, consider implementing the `ModelMBeanNotificationBroadcaster` interface (or implementing a full `ModelMBean`).

  Since:
    2.0
  Author:
    Rob Harrop, Chris Beams
  See Also:
    `NotificationPublisher`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setNotificationPublisher(NotificationPublisher notificationPublisher)` Set the `NotificationPublisher` instance for the current managed resource instance.

- - ### Method Detail

    - #### setNotificationPublisher

          void setNotificationPublisher(NotificationPublisher notificationPublisher)

      Set the `NotificationPublisher` instance for the current managed resource instance.